/*
 * Created on 17-apr-2004
 *
 */
package convFramework.exceptions;

/**
 * @author Lompa
 */
public class BadInvocationArgumentException extends CFKException {
	
	/* campi */
	private String argument = null;
	private String errorMessage = null;
	
	public BadInvocationArgumentException(String argument, String errorMessage){
		this.argument = argument;
		this.errorMessage = errorMessage;
	}
	
	public String getMessage(){
		return "Bad invocation argument: " + argument + "\n" + errorMessage;
	}

	/**
	 * @return Returns the argument.
	 */
	public String getArgument() {
		return argument;
	}
	/**
	 * @return Returns the errorMessage.
	 */
	public String getErrorMessage() {
		return errorMessage;
	}
}
